Subject: Re: [CORRECTED PATCH] Introduce file with the common default build-time items.

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 14 Jun 2007 23:22:04 -0400

Eygene Ryabinkin <[email-masked]> wrote:
> Thu, Jun 14, 2007 at 11:09:29AM -0400, Shawn O. Pearce wrote:
> > Eygene Ryabinkin <[email-masked]> wrote:
> > No, because Junio has already stated a desire to remove git-gui.git
> > from git.git and convert it to a proper subproject by the time of
> > Git 1.6.  That means the git-gui/ subdirectory will become optional,
> > though I imagine most git-gui users will still have it.  But not
> > all Git users are git-gui users.  ;-)
> 
> OK, it means that git-gui will be totally separated from the
> git.git?  And one will download it as the separate tarball?

That's one option.  But Junio and I are also considering keeping
it inside the git tarball as well, as many users have gotten used
to it being in the core Git distribution.  I think it all depends
on if myself (or someone else) adds subproject recursion support
into git-archive.  ;-)

No subproject recusion in git-archive will probably mean git-gui
would get dropped from the core git tarball.  Given we're talking
about 1.6 timeframe I think we might be able to get that feature
working by then.

> > The best we can do is let the user pick their TCL_PATH and
> > TCLTK_PATH up in git's own Makefile, and have it pass down into
> > git-gui's Makefile when git-gui is being built from within git.
> > That is the arrangement we currently have.
> 
> OK, fine, thanks for the explanations.  The corrected patch follows.
 
...
>  Makefile             |   17 +++++++++++------
>  common-make-vars.def |   11 +++++++++++
>  configure.ac         |    4 +++-
>  3 files changed, 25 insertions(+), 7 deletions(-)
>  create mode 100644 common-make-vars.def
...

I dunno.  25 insertions and 7 deletions to reduce two uses of 'wish'
into one use of 'wish'?  That hardly seems worth the additional
18 lines of code.  Feels like code churn to me.  And I rarely feel
code churn.  I'm usually a lot more caviler about changing things
than Junio, Dscho, Nico, Linus, ...

-- 
Shawn.